# Asterisk Project : Asterisk 13 Function_AUDIOHOOK_INHERIT

Created by wikibot on Aug 08, 2014

# AUDIOHOOK_INHERIT()

### Synopsis

DEPRECATED: Used to set whether an audiohook may be inherited to another channel. Due to architectural changes in Asterisk 12, audiohook inheritance is performed automatically and this function now lacks function.

### Description

Prior to Asterisk 12, masquerades would occur under all sorts of situations which were hard to predict. In Asterisk 12, masquerades only occur as a result of a small set of operations for which inheriting all audiohooks from the original channel is now safe. So in Asterisk 12.5+, all audiohooks are inherited without needing other controls expressing which audiohooks should be inherited under which conditions.

### Syntax

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538